org.fourthline.cling.model.message

## Class StreamResponseMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpResponse>
  - - org.fourthline.cling.model.message.StreamResponseMessage

- Direct Known Subclasses:
    IncomingActionResponseMessage, IncomingSubscribeResponseMessage, OutgoingActionResponseMessage, OutgoingEventResponseMessage, OutgoingSubscribeResponseMessage

      public class StreamResponseMessage
      extends UpnpMessage<UpnpResponse>

  A TCP (HTTP) stream response message.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamResponseMessage(byte[] body)`
    `StreamResponseMessage(byte[] body, ContentTypeHeader contentType)`
    `StreamResponseMessage(byte[] body, org.seamless.util.MimeType mimeType)`
    `StreamResponseMessage(StreamResponseMessage source)`
    `StreamResponseMessage(String body)`
    `StreamResponseMessage(String body, ContentTypeHeader contentType)`
    `StreamResponseMessage(String body, org.seamless.util.MimeType mimeType)`
    `StreamResponseMessage(UpnpResponse.Status status)`
    `StreamResponseMessage(UpnpResponse operation)`
    `StreamResponseMessage(UpnpResponse operation, byte[] body)`
    `StreamResponseMessage(UpnpResponse operation, String body)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamResponseMessage

          public StreamResponseMessage(StreamResponseMessage source)

    - #### StreamResponseMessage

          public StreamResponseMessage(UpnpResponse.Status status)

    - #### StreamResponseMessage

          public StreamResponseMessage(UpnpResponse operation)

    - #### StreamResponseMessage

          public StreamResponseMessage(UpnpResponse operation,
                                       String body)

    - #### StreamResponseMessage

          public StreamResponseMessage(String body)

    - #### StreamResponseMessage

          public StreamResponseMessage(UpnpResponse operation,
                                       byte[] body)

    - #### StreamResponseMessage

          public StreamResponseMessage(byte[] body)

    - #### StreamResponseMessage

          public StreamResponseMessage(String body,
                                       ContentTypeHeader contentType)

    - #### StreamResponseMessage

          public StreamResponseMessage(String body,
                                       org.seamless.util.MimeType mimeType)

    - #### StreamResponseMessage

          public StreamResponseMessage(byte[] body,
                                       ContentTypeHeader contentType)

    - #### StreamResponseMessage

          public StreamResponseMessage(byte[] body,
                                       org.seamless.util.MimeType mimeType)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.